Bug 1017158 - [RHSC] - Removing brick from UI displays two event messgaes in the events tab.
[RHSC] - Removing brick from UI displays two event messgaes in the events tab.
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.1
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Sahina Bose
RamaKasturi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 06:56 EDT by RamaKasturi
Modified: 2015-12-03 12:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 12:11:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attaching engine log (437.67 KB, text/x-log)
2013-10-09 06:57 EDT, RamaKasturi
no flags Details

  None (edit)
Description RamaKasturi 2013-10-09 06:56:35 EDT
Description of problem:
Removing brick from UI displays two event messgaes in the events tab.

Version-Release number of selected component (if applicable):
rhsc-2.1.1-0.0.3.master.el6ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create a volume and start it.
2. Now click on the bricks sub tab.
3. Now select the brick and click on remove.
4. Uncheck the check box "migrate data from bricks".
5. Click on OK.

Actual results:
Bricks gets removed from the bricks subtab, but there are two event messages which comes up in the events tab.
1) Bricks removed from Gluster Volume vol_dis.
2) Detected brick 10.70.37.116:/rhs/brick1/b2 removed from Volume vol_dis of cluster Cluster_rebalance, and removed it from engine DB.

Expected results:
It should display only one event message. i.e. "Bricks removed from Gluster Volume vol_dis"

Additional info:
Comment 1 RamaKasturi 2013-10-09 06:57:59 EDT
Created attachment 809845 [details]
Attaching engine log
Comment 3 RamaKasturi 2013-11-07 05:32:34 EST
When a brick is committed from UI, it displays the following message. i.e Detected brick 10.70.37.116:/rhs/brick1/b2 removed from Volume vol_dis of cluster Cluster_rebalance, and removed it from engine DB.

But instead it should display the message as No.of bricks + "Bricks removed from Gluster Volume vol_dis."
Comment 4 Dusmant 2013-11-21 05:19:12 EST
Taking it out of Corbett, because of time constraint...
Comment 5 Vivek Agarwal 2015-12-03 12:11:29 EST
Thank you for submitting this issue for consideration in Red Hat Gluster Storage. The release for which you requested us to review, is now End of Life. Please See https://access.redhat.com/support/policy/updates/rhs/

If you can reproduce this bug against a currently maintained version of Red Hat Gluster Storage, please feel free to file a new report against the current release.

Note You need to log in before you can comment on or make changes to this bug.